Author Topic: En cas de probleme de prévisualisation du PDF sous Debian/Ubuntu/Mint/Elementary  (Read 1422 times)

Offline kredge

  • Administrateur
  • Néophyte
  • *****
  • Posts: 24
    • View Profile
Sur système Debian, Ubuntu, Mint ou Elementary, il se pourrait que JustConsum n'arrive pas à ouvrir directement les fichiers PDF (utilisée dans le logiciel pour les éditions soit de la liste des fichiers, soit du détail d'un relevé).
Le logiciel ne semble pas réussir à ouvrir le document PDF...
Une première solution consisterait à enregistrer d'abord le fichier sur le disque dur, puis de l'ouvrir en dehors de JustConsum : alors vous verriez s'afficher le contenu du fichier.

Mais le problème pourrait simplement provenir d'un blocage du système Linux :
Il peut s'agir de "AppArmor" qui empêche la liseuse de PDF "Evince" d'ouvrir le fichier généré par JustConsum.

Voici comment remédier à cela :

En mode "root", lancez d'abord la commande : "apparmor_status".
Vous devriez obtenir une réponse du genre :
Code: [Select]
    root@brix:~# apparmor_status
    apparmor module is loaded.
    14 profiles are loaded.
    14 profiles are in enforce mode.
    /usr/bin/evince

Puis vérifiez que l'outil "apparmor-utils" soit bien installé :
dans le doute, lancez la commande, en mode "root" encore, "apt-get install apparmor-utils".

Puis lancez en root "aa-complain /usr/bin/evince".
Vous obtiendrez une réponse du type :

Code: [Select]
    root@brix:~# aa-complain /usr/bin/evince
    Setting /usr/bin/evince to complain mode.

Pour vérifier si la protection "apparmor" a bien fonctionné, lancé à nouveau en mode "root" : "apparmor_status".
Vous devriez obtenir une réponse du genre :

Code: [Select]
    root@brix:/etc# apparmor_status
    apparmor module is loaded.
    14 profiles are loaded.
    11 profiles are in enforce mode.

Cette manipulation permet de réussir à lancer la visionneuse "Evince" du système, depuis le logiciel JustConsum.

Pour plus d'information pour débloquer "Evince" :
https://askubuntu.com/questions/486150/evince-error-while-loading-shared-libraries-permission-denied
https://help.ubuntu.com/community/AppArmor
« Last Edit: 20 May 2020 à 14:56:56 by kredge »